# Use 64-bit pointers on POWER and z/Series
%ifarch ppc64 s390x
%define bigptrs -DPTRSIZE_64BIT
%endif

%define workdir work.linux-2.2
%define netmethod USE_LPF

%define with_USE_SOCKETS %{?_with_USE_SOCKETS: 1} %{?!_with_USE_SOCKETS: 0}
%if %{with_USE_SOCKETS}
%define netmethod USE_SOCKETS
%endif

%define with_USE_LPF %{?_with_USE_LPF: 1} %{?!_with_USE_LPF: 0}
%if %{with_USE_LPF}
%define netmethod USE_LPF
%endif

Summary: DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Name:    dhcp
Version: 3.0.5
Release: 33%{?dist}
Epoch:   12
License: distributable
Group:   System Environment/Daemons
URL:     http://isc.org/products/DHCP/
Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Source3: dhcrelay.init
Source4: dhcpd.conf
Source5: libdhcp4client.pc

Patch0:  %{name}-3.0.5-extended-new-option-info.patch
Patch1:  %{name}-3.0.5-Makefile.patch
Patch2:  %{name}-3.0.5-version.patch
Patch3:  %{name}-3.0.5-client.patch
Patch4:  %{name}-3.0.5-common.patch
Patch5:  %{name}-3.0.5-dhcpctl.patch
Patch6:  %{name}-3.0.5-dst.patch
Patch7:  %{name}-3.0.5-includes.patch
Patch8:  %{name}-3.0.5-omapip.patch
Patch9:  %{name}-3.0.5-minires.patch
Patch10: %{name}-3.0.5-server.patch
Patch11: %{name}-3.0.5-libdhcp4client.patch
Patch12: %{name}-3.0.5-timeouts.patch
Patch13: %{name}-3.0.5-fix-warnings.patch
Patch14: %{name}-3.0.5-xen-checksum.patch
Patch15: %{name}-3.0.5-dhclient-man-page.patch
Patch16: %{name}-3.0.5-lease-file-parse.patch
Patch17: %{name}-3.0.5-RES_OPTIONS.patch
Patch18: %{name}-3.0.5-emergency-relay-agent-options-hologram.patch
Patch19: %{name}-3.0.5-honor-peer-vars.patch
Patch20: %{name}-3.0.5-IFNAMSIZ.patch
Patch21: %{name}-3.0.5-failover-leak.patch
Patch22: %{name}-3.0.5-short-lease.patch
Patch23: %{name}-3.0.5-partner-down.patch
Patch24: %{name}-3.0.5-lease-exhaustion.patch
Patch25: %{name}-3.0.5-CVE-2011-0997.patch
Patch26: %{name}-3.0.5-lpf-ib.patch
Patch27: %{name}-3.0.5-improved-xid.patch
Patch28: %{name}-3.0.5-gpxe-cid.patch
Patch29: %{name}-3.0.5-seed-pid.patch
Patch30: %{name}-3.0.5-failover-lease-imbalance.patch
Patch31: %{name}-3.0.5-flush-device.patch
Patch32: %{name}-3.0.5-CVE-2011-2748-2749.patch
Patch33: %{name}-3.0.5-CVE-2012-3571.patch
Patch34: %{name}-3.0.5-decline-onetry.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): chkconfig, coreutils
Requires(preun): chkconfig
Requires(postun): coreutils
BuildRequires: groff perl

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.

%package -n dhclient
Summary: Provides the dhclient ISC DHCP client daemon and dhclient-script.
Requires: initscripts >= 6.75
Group: System Environment/Base
Obsoletes: dhcpcd <= 1.3.22pl1-7
Obsoletes: pump <= 0.8.24

%package devel
Summary: Development headers and libraries for interfacing to the DHCP server
Requires: dhcp = %{epoch}:%{version}-%{release}
Group: Development/Libraries

%description -n dhclient
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhclient package
provides the ISC DHCP client daemon.

%description devel
Libraries for interfacing with the ISC DHCP server.

%package -n libdhcp4client
Summary: ISC DHCP IPv4 client in a library for invocation from other programs
Group: Development/Libraries

%description -n libdhcp4client
The Internet Software Consortium (ISC) Dynamic Host Configuration Protocol
(DHCP) Internet Protocol version 4 (IPv4) client software in a library
suitable for linkage with and invocation by other programs.

%package -n libdhcp4client-devel
Summary: Header files for development with the ISC DHCP IPv4 client library
Requires: libdhcp4client = %{epoch}:%{version}-%{release}
Requires: dhcp-devel = %{epoch}:%{version}-%{release}
Group: Development/Libraries

%description -n libdhcp4client-devel
Header files for development with the Internet Software Consortium (ISC)
Dynamic Host Configuration Protocol (DHCP) Internet Protocol version 4 (IPv4)
client library.

%prep
case "%{netmethod}" in
    USE_LPF|USE_SOCKETS)
        continue ;;
    *)
        echo >&2
        echo "ERROR: Only --with options supported:  USE_LPF, USE_SOCKETS" >&2
        echo >&2
        exit 1 ;;
esac

%setup -q

# Extended new option info patch.  Adds the -x option to dhclient, which is
# needed for dhcdbd and NetworkManager
%patch0 -p1 -b .enoi

# Build fixes
%patch1 -p1 -b .Makefile

# Add -RedHat to the version number
%patch2 -p1 -b .version

# Patches for the client/ subdirectory
%patch3 -p1 -b .client

# Patches for the common/ subdirectory
%patch4 -p1 -b .common

# Patches for the dhcpctl/ subdirectory
%patch5 -p1 -b .dhcpctl

# Patches for the dst/ subdirectory
%patch6 -p1 -b .dst

# Patches for the includes/ subdirectory
%patch7 -p1 -b .includes

# Patches for the omapip/ subdirectory
%patch8 -p1 -b .omapip

# Patches for the minires/ subdirectory
%patch9 -p1 -b .minires

# Patches for the server/ subdirectory
%patch10 -p1 -b .server

# Add the libdhcp4client target (library version of dhclient)
%patch11 -p1 -b .libdhcp4client

# Fix up timeout handling in dhclient and libdhcp4client
%patch12 -p1 -b .timeouts

# Fix up anything that fails -Wall -Werror
%patch13 -p1 -b .warnings

# Fix Xen host networking problems (partial checksums)
%patch14 -p1 -b .xen

# Fix man page formatting (RHBZ #233072)
%patch15 -p1 -b .dhclient-man-page

# Parse dates & times correctly on 64-bit systems (RHBZ #448615)
%patch16 -p1 -b .64bit

# Carry over RES_OPTIONS from ifcfg-ethX files to resolv.conf (RHBZ #202923)
%patch17 -p1 -b .res_options

# Backport from dhcp-3.0.6 to fix the 'emergency relay agent options hologram',
# which retains relay agent option contents from when the client was in INIT
# or REBIND states.  This solves problems where relay agent options were not
# echoed from the server, even when giaddr was set.
%patch18 -p1 -b .hologram

# Honor PEERNTP and PEERNIS variable in /etc/sysconfig (RHBZ #471543)
%patch19 -p1 -b .peervars

# Read only up to IFNAMSIZ characters for the interface name in
# dhcpd (RHBZ #441524)
%patch20 -p1 -b .ifnamsiz

# Memory leak in the load_balance_mine() function is fixed (RHBZ # 534117)
%patch21 -p1 -b .leak

# Fix dhclient to not renew it's lease too often when gets very short lease from server (RHBZ #498658)
%patch22 -p1 -b .short-lease

# A partner-down failover server no longer emits 'peer holds all free leases'
# if it is able to newly-allocate one of the peer's leases. (RHBZ #610219)
# Backport from dhcp-3.1-ESV 
%patch23 -p1 -b .partner-down

# The server's "by client-id" and "by hardware address" hash table lists
# are now sorted according to the preference to re-allocate that lease to
# returning clients.  This should eliminate pool starvation problems
# arising when "INIT" clients were given new leases rather than presently
# active ones. (RHBZ #615995)
# Backport from dhcp-3.0.6
%patch24 -p1 -b .exhaustion

# dhclient: insufficient sanitization of certain DHCP response values
# CVE-2011-0997, #690577
%patch25 -p1 -b .CVE-2011-0997

# IPoIB support (RHBZ #660679)
%patch26 -p1 -b .ib
%patch27 -p1 -b .xid
%patch28 -p1 -b .gpxe

# Use PID for seeding the random number generator in dhclient (RHBZ #623953)
%patch29 -p1 -b .seed-pid

# 'lease imbalance' messages are not logged unless rebalance
# was actually attempted (RHBZ #661939)
%patch30 -p1 -b .lease-imbalance

# Explicitly clear the ARP cache and flush all addresses & routes
# instead of bringing the interface down (RHBZ #685048)
%patch31 -p1 -b .flush-device

# A pair of defects cause the server to halt upon processing certain packets
# CVE-2011-2748, CVE-2011-2749, RHBZ #729881
%patch32 -p1 -b .CVE-2011-2748-2749

# An error in the handling of malformed client identifiers can
# cause a denial-of-service condition in affected servers. (CVE-2012-3571, #843125)
%patch33 -p1 -b .CVE-2012-3571

# exit(2) after sending DHCPDECLINE
# when dhclient has been started with '-1' (RHBZ #756490)
%patch34 -p1 -b .decline-onetry

%build
%{__cp} %SOURCE1 .
%{__cat} << EOF > site.conf
VARDB=%{_localstatedir}/lib/dhcpd
ADMMANDIR=%{_mandir}/man8
FFMANDIR=%{_mandir}/man5
LIBMANDIR=%{_mandir}/man3
USRMANDIR=%{_mandir}/man1
LIBDIR=%{_libdir}
INCDIR=%{_includedir}
EOF
%{__cat} << EOF >> includes/site.h
#define _PATH_DHCPD_DB    "%{_localstatedir}/lib/dhcpd/dhcpd.leases"
#define _PATH_DHCLIENT_DB "%{_localstatedir}/lib/dhclient/dhclient.leases"
#define %{netmethod}
EOF

OPT_FLAGS="%{optflags} -fPIC -Werror -Dlint -DEXTENDED_NEW_OPTION_INFO"

# DO NOT use the %%configure macro because this configure script is not autognu
CC="%{__cc}" ./configure \
   --copts "${OPT_FLAGS} %{?bigptrs}" \
   --work-dir %{workdir}

%{__sed} 's/@DHCP_VERSION@/'%{version}'/' < %SOURCE5 > libdhcp4client.pc
%{__make} %{?_smp_mflags} CC="%{__cc}"

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/etc/sysconfig

%{__make} install DESTDIR=%{buildroot}

%{__mkdir} -p %{buildroot}/etc/rc.d/init.d
%{__install} -m 0755 %SOURCE2 %{buildroot}/etc/rc.d/init.d/dhcpd

touch %{buildroot}%{_localstatedir}/lib/dhcpd/dhcpd.leases
%{__mkdir} -p  %{buildroot}%{_localstatedir}/lib/dhclient/
%{__cat} << EOF > %{buildroot}/etc/sysconfig/dhcpd
# Command line options here
DHCPDARGS=
EOF

%{__install} -m 0755 %SOURCE3 %{buildroot}/etc/rc.d/init.d/dhcrelay

%{__cat} << EOF > %{buildroot}/etc/sysconfig/dhcrelay
# Command line options here
DHCRELAYARGS=""
INTERFACES=""
DHCPSERVERS=""
EOF

# Copy sample dhclient.conf file into position
%{__cp} client/dhclient.conf dhclient.conf.sample
%{__chmod} 755 %{buildroot}/sbin/dhclient-script

# Create per-package copies of dhcp-options and dhcp-eval common man-pages:
%{__cp} -fp %{buildroot}%{_mandir}/man5/dhcp-options.5 %{buildroot}%{_mandir}/man5/dhcpd-options.5
%{__cp} -fp %{buildroot}%{_mandir}/man5/dhcp-options.5 %{buildroot}%{_mandir}/man5/dhclient-options.5
%{__cp} -fp %{buildroot}%{_mandir}/man5/dhcp-eval.5 %{buildroot}%{_mandir}/man5/dhcpd-eval.5
%{__cp} -fp %{buildroot}%{_mandir}/man5/dhcp-eval.5 %{buildroot}%{_mandir}/man5/dhclient-eval.5

# Install default (empty) dhcpd.conf:
%{__cp} -fp %SOURCE4 %{buildroot}/etc

%{__install} -p -m 0644 -D libdhcp4client.pc %{buildroot}%{_libdir}/pkgconfig/libdhcp4client.pc

# Sources files can't be symlinks for debuginfo package generation
find %{workdir} -type l |
while read f; do
    %{__rm} -f linkderef
    %{__cp} $f linkderef
    %{__rm} -f $f
    %{__mv} linkderef $f
done

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add dhcpd
/sbin/chkconfig --add dhcrelay
if [ "$1" -ge 1 ]; then
    if [ ! -e %{_mandir}/man5/dhcp-options.5.gz ]; then
        ln -s %{_mandir}/man5/dhcpd-options.5.gz %{_mandir}/man5/dhcp-options.5.gz
    fi
    if [ ! -e %{_mandir}/man5/dhcp-eval.5.gz ]; then
        ln -s %{_mandir}/man5/dhcpd-eval.5.gz %{_mandir}/man5/dhcp-eval.5.gz
    fi
fi
exit 0

%preun
if [ $1 = 0 ]; then	# execute this only if we are NOT doing an upgrade
    service dhcpd stop >/dev/null 2>&1
    service dhcrelay stop >/dev/null 2>&1
    /sbin/chkconfig --del dhcpd
    /sbin/chkconfig --del dhcrelay
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
    service dhcpd condrestart >/dev/null 2>&1
    service dhcrelay condrestart >/dev/null 2>&1
elif [ "$1" -eq 0 ]; then
    if [ -e %{_mandir}/man5/dhclient-options.5.gz ]; then
        ln -sf %{_mandir}/man5/dhclient-options.5.gz %{_mandir}/man5/dhcp-options.5.gz
    fi
    if [ -e %{_mandir}/man5/dhclient-eval.5.gz ]; then
        ln -sf %{_mandir}/man5/dhclient-eval.5.gz %{_mandir}/man5/dhcp-eval.5.gz
    fi
fi
exit 0

%post -n dhclient
if [ "$1" -ge 1 ]; then
    if [ ! -e %{_mandir}/man5/dhcp-options.5.gz ]; then
        ln -s %{_mandir}/man5/dhclient-options.5.gz %{_mandir}/man5/dhcp-options.5.gz
    fi
    if [ ! -e %{_mandir}/man5/dhcp-eval.5.gz ]; then
        ln -s %{_mandir}/man5/dhclient-eval.5.gz %{_mandir}/man5/dhcp-eval.5.gz
    fi
fi
exit 0

%postun -n dhclient
if [ "$1" -eq 0 ]; then
    if [ -e %{_mandir}/man5/dhcpd-options.5.gz  ]; then
        ln -sf %{_mandir}/man5/dhcpd-options.5.gz %{_mandir}/man5/dhcp-options.5.gz
    fi
    if [ -e %{_mandir}/man5/dhcpd-eval.5.gz  ]; then
        ln -sf %{_mandir}/man5/dhcpd-eval.5.gz %{_mandir}/man5/dhcp-eval.5.gz
    fi
fi
exit 0

%post -n libdhcp4client -p /sbin/ldconfig

%postun -n libdhcp4client -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README RELNOTES dhcpd.conf.sample doc/*
%dir %{_localstatedir}/lib/dhcpd
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcpd/dhcpd.leases
%config(noreplace) /etc/sysconfig/dhcpd
%config(noreplace) /etc/sysconfig/dhcrelay
%config(noreplace) /etc/dhcpd.conf
%config /etc/rc.d/init.d/dhcpd
%config /etc/rc.d/init.d/dhcrelay
%{_bindir}/omshell
%{_sbindir}/dhcpd
%{_sbindir}/dhcrelay
%{_mandir}/man1/omshell.1*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man8/dhcpd.8*
%{_mandir}/man8/dhcrelay.8*
%{_mandir}/man5/dhcpd-options.5*
%{_mandir}/man5/dhcpd-eval.5*
%ghost %{_mandir}/man5/dhcp-options.5.gz
%ghost %{_mandir}/man5/dhcp-eval.5.gz

%files -n dhclient
%defattr(-,root,root)
%doc dhclient.conf.sample
%dir %{_localstatedir}/lib/dhclient
/sbin/dhclient
/sbin/dhclient-script
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*
%{_mandir}/man5/dhclient-options.5*
%{_mandir}/man5/dhclient-eval.5*
%ghost %{_mandir}/man5/dhcp-options.5.gz
%ghost %{_mandir}/man5/dhcp-eval.5.gz

%files devel
%defattr(-,root,root)
%exclude %{_libdir}/libdhcp4client*
%exclude %{_includedir}/dhcp4client
%{_includedir}/*
%{_libdir}/*.a
%{_mandir}/man3/*

%files -n libdhcp4client
%defattr(0755,root,root,0755)
%{_libdir}/libdhcp4client.so.*

%files -n libdhcp4client-devel
%defattr(0644,root,root,0755)
%{_includedir}/dhcp4client*
%{_libdir}/pkgconfig/libdhcp4client.pc
%{_libdir}/libdhcp4client.a
%{_libdir}/libdhcp4client.so

%changelog
* Wed Jan 16 2013 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-33
- exit(2) after sending DHCPDECLINE
  when dhclient has been started with '-1' (RHBZ #756490)

* Thu Jul 26 2012 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-32
- An error in the handling of malformed client identifiers can
  cause a denial-of-service condition in affected servers. (CVE-2012-3571, #843125)

* Tue Sep 13 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-31
- Propagate libdhcp timeout to internal timeout_arg (RHBZ #736515)

* Thu Aug 11 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-30
- A pair of defects cause the server to halt upon processing certain packets
  (CVE-2011-2748, CVE-2011-2749, #729881)

* Fri Apr 08 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-29
- dhclient.conf(5), dhclient(8) mention that interface-mtu option
  is also requested by default (RHBZ #694264)

* Thu Apr 07 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-28
- Better fix for CVE-2011-0997: making domain-name check more lenient (RHBZ #690577)
- dhclient requests interface-mtu option by default (RHBZ #694264)

* Wed Apr 06 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-27
- dhclient.conf(5) fix (RHBZ #585855)
- Make dhcpd init script LSB compliant (RHBZ #610128)
- Use PID for seeding the random number generator in dhclient (RHBZ #623953)
- Add DHCRELAYARGS variable to /etc/sysconfig/dhcrelay (RHBZ #624965)
- 'lease imbalance' messages are not logged unless rebalance
  was actually attempted (RHBZ #661939)
- Explicitly clear the ARP cache and flush all addresses & routes
  instead of bringing the interface down (RHBZ #685048)

* Tue Apr 05 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-26
- IPoIB support (RHBZ #660679)

* Mon Apr 04 2011 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-25
- dhclient: insufficient sanitization of certain DHCP response values
  (CVE-2011-0997, #690577)

* Wed Aug 04 2010 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-24
- A partner-down failover server no longer emits 'peer holds all free leases'
  if it is able to newly-allocate one of the peer's leases. (RHBZ #610219)
- The server's "by client-id" and "by hardware address" hash table lists
  are now sorted according to the preference to re-allocate that lease to
  returning clients.  This should eliminate pool starvation problems
  arising when "INIT" clients were given new leases rather than presently
  active ones. (RHBZ #615995)

* Tue Jan 26 2010 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-23
- fix dhclient to not renew it's lease too often when gets very short lease from server (#498658)
- fix dhclient-script to not restart ntpd when not necessary (#532136)
- fix dhcrelay initscript to restart dhcrelay properly (#555672)

* Wed Nov 18 2009 Jiri Popelka <jpopelka@redhat.com> - 12:3.0.5-22
- Memory leak in the load_balance_mine() function is fixed. This would leak ~20-30 octets
  per DHCPDISCOVER packet while failover was in use and in normal state.

* Tue Apr 28 2009 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-21
- Display usage if init scripts get 'try-restart' or 'reload' args,
  set exit code to 3
  Resolves: rhbz#491868

* Mon Apr 20 2009 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-20
- Restrict interface names given on the dhcpd command line to length
  IFNAMSIZ or shorter
  Resolves: rhbz#441524

* Fri Feb 20 2009 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-19
- Do not restart ntpd service unless necessary
  Resolves: rhbz#450301
- Carry over relay agent options when client enters INIT or REBIND
  Resolves: rhbz#450545
- Honor PEERNIS and PEERNTP variables completely in dhclient-script
  Resolves: rhbz#471543

* Thu Jul 24 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-18
- Fix up requires and make sure epoch is specified consistently
  Related: rhbz#447003

* Thu Jul 24 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-17
- Carry over RES_OPTIONS from ifcfg-ethX files to /etc/resolv.conf
  Resolves: rhbz#202923

* Tue Jul 15 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-16
- Add epoch to the Requires for libdhcp4client-devel
  Related: rhbz#447003

* Tue Jul 15 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-15
- Add Requires: libdhcp4client = %{version}-%{release} to libdhcp4client-devel
  Related: rhbz#447003

* Tue Jul 15 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-14
- Display dhcpd error messages for 'service dhcpd configtest'
  Resolves: rhbz#447003
- Parse dates and times correctly in lease files on 64-bit systems
  Resolves: rhbz#448615

* Tue Apr 08 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-13
- libdhcp4client fixes for anaconda's _isys.so Python module
  Related: rhbz#435978

* Tue Apr 01 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-12
- Avoid printing two OK/FAILURE messages when the stop() function runs
  in the dhcpd and dhcrelay init scripts
  Resolves: rhbz#439800

* Tue Jan 15 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-11
- Fix missing global_scope symbol
  Resolves: rhbz#428694
  Related: rhbz#216158

* Mon Jan 07 2008 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-10
- Avoid symbol collisions with other shared libraries and libdhcp4client
  Resolves: rhbz#216158

* Mon Nov 19 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-9
- Updated dhcpd init script to conform to script guidelines
  Resolves: rhbz#237978
- Updated dhcrelay init script to conform to script guidelines
  Resolves: rhbz#237980

* Mon Nov 19 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-8
- Use /var/lib/dhcpd for restorecon path
  Resolves: rhbz#251688

* Mon May 24 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-7
- Patch formatting errors in dhclient man page
- Resolves: rhbz#233072

* Mon May 24 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-6
- dhclient obsoletes pump <= 0.8.24
- Resolves: rhbz#238865

* Tue Feb 27 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-5
- Update Xen partial checksums patch
- Resolves: rhbz#221964

* Wed Jan 31 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-4
- Updated Xen partial checksums patch using PACKET_AUXDATA
- Resolves: rhbz#221964
- Related: rhbz#219681

* Wed Jan 10 2007 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-3
- Skip checksum check on local packets so dhcpd runs correctly in Xen
  guests
- Resolves: rhbz#221964
- Related: rhbz#219681

* Fri Dec 15 2006 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-2
- Correct UDP packet checksum calculations (#219681)
- Resolves: rhbz#219681

* Tue Dec 12 2006 David Cantrell <dcantrell@redhat.com> - 12:3.0.5-1
- Rebase dhcp package (#218083)
- Roll md5 patch in to libdhcp4client patch since it's related
- Do not overwrite /etc/ntp/step-tickers (#217663)
- Resolves: rhbz#217663
- Build the MD5 functions we link against.
- Set permission of libdhcp4client.so.1 to 0755 (#215910)
- Do not link res_query.o in to libdhcp4client (#215501)
- Enable relinquish_timeouts() and cancel_all_timeouts() even when
  DEBUG_MEMORY_LEAKAGE_ON_EXIT is not defined
- Add prototypes for b64_pton() and b64_ntop in dst/
- Move variable declarations and labels around in the fix-warnings patch
- Expand the list of objects needed for libdhcp4client (#215328)
- Use libres.a in libdhcp4client since it gives correct minires objects
- Remove the dhcp options table in C, Perl, Python, and text format (these
  were reference files added to /usr/share/doc)
- Remove struct universe *universe from envadd_state in the client patch
- Add struct universe *universe to envadd_state in the enoi patch
- Add example dbusified dhclient-script in the enoi patch
- Change the way libdhcp4client is compiled (patch main source, create new
  Makefile rather than copy and patch code after main patches)
- Fix up problems generating compiler warnings
- Use 'gcc' for making dependencies
- Pass -fPIC instead of -fpie/-fPIE in compiler flags
- Combine the extended new option info changes in to one patch file (makes
  it easier for outside projects that want to use dhcdbd and NetworkManager)
- Upgrade to ISC dhcp-3.0.5
- Put typedef for dhcp_state_e before it's used in libdhcp_control.h (#212612)
- Remove dhcpctl.3 from minires/Makefile.dist because it's in dhcpctl
- Remove findptrsize.c and just set compiler flag for ppc64 and s390x
- Remove NODEBUGINFO junk from the spec file as well as old/unused code
- Rolled all 68 patches in to one patch since more than half of them get
  overridden by later patches anyway.
- Send usage() screen in dhclient to stdout rather than the syslog (#210524)
- Resolves: rhbz#218083

* Mon Sep 11 2006 David Cantrell <dcantrell@redhat.com> - 12:3.0.4-21
- Rebuild (#205505)

* Fri Aug 18 2006 Jesse Keating <jkeating@redhat.com> - 12:3.0.4-20
- rebuilt with latest binutils to pick up 64K -z commonpagesize on ppc*
  (#203001)

* Thu Aug 17 2006 David Cantrell <dcantrell@redhat.com> - 12:3.0.4-19
- Fix mkdir problem in libdhcp4client.Makefile

* Thu Aug 17 2006 David Cantrell <dcantrell@redhat.com> - 12:3.0.4-18
- Fix dhclient on s390x platform (#202911)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 12:3.0.4-17.1
- rebuild

* Wed Jun 28 2006 Peter Jones <pjones@redhat.com> - 12:3.0.4-17
- export timeout cancellation functions in libdhcp4client

* Wed Jun 28 2006 Florian La Roche <laroche@redhat.com> - 12:3.0.4-16
- add proper coreutils requires for the scripts

* Thu Jun 22 2006 Peter Jones <pjones@redhat.com> - 12:3.0.4-15
- Make timeout dispatch code not recurse while traversing a linked
  list, so it doesn't try to free an entries that have been removed.
  (bz #195723)
- Don't patch in a makefile, do it in the spec.

* Thu Jun 08 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-14
- fix bug 191461: preserve ntp.conf local clock fudge statements
- fix bug 193047: both dhcp and dhclient need to ship common
                  man-pages: dhcp-options(5) dhcp-eval(5)

* Tue May 30 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-12
- Make -R option take effect in per-interface client configs

* Fri May 26 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-10
- fix bug 193047: allow $METRIC to be specified for dhclient routes
- add a '-R <request option list>' dhclient argument

* Fri May 26 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-8.1
- fix a libdhcp4client memory leak (1 strdup) and 
  fill in client->packet.siaddr before bind_lease() for pump
  nextServer option.

* Fri May 19 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-8
- Make libdhcp4client a versioned .so (BZ 192146)

* Wed May 17 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-4
- Enable libdhcp4client build

* Tue May 16 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-2
- Fix bug 191470: prevent dhcpd writing 8 byte dhcp-lease-time 
                  option in packets on 64-bit platforms

* Sun May 14 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-2
- Add the libdhcp4client library package for use by the new libdhcp 
  package, which enables dhclient to be invoked by programs in a 
  single process from the library. The normal dhclient code is
  unmodified by this.

* Mon May 08 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-2
- Add new dhclient command line argument:
  -V <vendor-class-identifier>

* Sat May 06 2006 Jason Vas Dias <jvdias@redhat.com> - 12:3.0.4-1
- Upgrade to upstream version 3.0.4, released Friday 2006-05-05 .
- Add new dhclient command line arguments:
  -H <host-name> : parse as dhclient.conf 'send host-name "<host-name>";'
  -F <fqdn>      : parse as dhclient.conf 'send fqdn.fqdn "<fqdn>";'
  -T <timeout>   : parse as dhclient.conf 'timeout <timeout>;'

* Thu Mar 02 2006 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-26
- fix bug 181908: enable dhclient to operate on IBM zSeries z/OS linux guests:
  o add -I <dhcp-client-identifier> dhclient command line option
  o add -B "always broadcast" dhclient command line option
  o add 'bootp-broadcast-always;' dhclient.conf statement

* Mon Feb 20 2006 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-24
- Apply upstream fix for bug 176615 / ISC RT#15811

* Tue Feb 14 2006 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-22
- fix bug 181482: resolv.conf not updated on RENEW :
  since dhcp-3.0.1rc12-RHScript.patch: "$new_domain_servers" should have
  been "$new_domain_name_servers" :-(

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 11:3.0.3-21.1.1
- bump again for double-long bug on ppc(64)

* Mon Feb 06 2006 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-21.1
- Rebuild for new gcc, glibc and glibc-kernheaders

* Sun Jan 22 2006 Dan Williams <dcbw@redhat.com> - 11:3.0.3-21
- Fix dhclient-script to use /bin/dbus-send now that all dbus related
    binaries are in /bin rather than /usr/bin

* Mon Jan 16 2006 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-20
- fix bug 177845: allow client ip-address as default router 
- fix bug 176615: fix DDNS update when Windows-NT client sends 
	          host-name with trailing nul

* Tue Dec 20 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-18
- fix bug 176270: allow routers with an octet of 255 in their IP address

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec 05 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-16
- fix gcc 4.1 compile warnings (-Werror)

* Fri Nov 19 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-12
- fix bug 173619: dhclient-script should reconfig on RENEW if 
                  subnet-mask, broadcast-address, mtu, routers, etc.
		  have changed
- apply upstream improvements to trailing nul options fix of bug 160655
  
* Tue Nov 15 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-11
- Rebuild for FC-5
- fix bug 167028 - test IBM's unicast bootp patch (from xma@us.ibm.com)
- fix bug 171312 - silence chkconfig error message if ypbind not installed
- fix dhcpd.init when -cf arg given to dhcpd
- make dhcpd init touch /var/lib/dhcpd/dhcpd.leases, not /var/lib/dhcp/dhcpd.leases

* Tue Oct 18 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-10
- Allow dhclient route metrics to be specified with DHCP options:
  The dhcp-options(5) man-page states:
  'option routers ... Routers should be listed in order of preference' 
  and
  'option static-routes ... are listed in descending order of priority' .
  No preference / priority could be set with previous dhclient-script .
  Now, dhclient-script provides: 
  Default Gateway (option 'routers') metrics:
    Instead of allowing only one default gateway, if more than one router 
    is specified in the routers option, routers following the first router
    will have a 'metric' of their position in the list (1,...N>1).
  Option static-routes metrics:
    If a target appears in the list more than once, routes for duplicate
    targets will have successively greater metrics, starting at 1.

* Mon Oct 17 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-8
- further fix for bug 160655 / ISC bug 15293 - upstream patch:
  do NOT always strip trailing nulls in the dhcpd server
- handle static-routes option properly in dhclient-script :
  trailing 0 octets in the 'target' IP specify the class -
  ie '172.16.0.0 w.x.y.z' specifies '172.16/16 via w.x.y.z'.

* Fri Sep 23 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-7
- fix bug 169164: separate /var/lib/{dhcpd,dhclient} directories
- fix bug 167292: update failover port info in dhcpd.conf.5; give
                  failover ports default values in server/confpars.c
 
* Mon Sep 12 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-6
- fix bug 167273: time-offset should not set timezone by default
                  tzdata's Etc/* files are named with reverse sign
                  for hours west - ie. 'GMT+5' is GMT offset -18000seconds.

* Mon Aug 29 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-4
- fix bug 166926: make dhclient-script handle interface-mtu option
  make dhclient-script support /etc/dhclient{,-$IF}-{up,down}-hooks scripts
  to allow easy customization to support other non-default DHCP options -
  documented in 'man 8 dhclient-script' .
- handle the 'time-offset' DHCP option, requested by default.

* Tue Aug 23 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-3
- fix bug 160655: strip trailing '\0' bytes from text options before append
- fix gcc4 compiler warnings ; now compiles with -Werror
- add RPM_OPT_FLAGS to link as suggested in gcc man-page on '-pie' option
- change ISC version string to 'V3.0.3-RedHat' at request of ISC

* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 11:3.0.3-2
- don't explicitly require 2.2 era kernel, it's fairly overkill at this point

* Fri Jul 29 2005 Jason Vas Dias <jvdias@redhat.com> 11:3.0.3-1
- Upgrade to upstream version 3.0.3 
- Don't apply the 'default boot file server' patch: legacy
  dhcp behaviour broke RFC 2131, which requires that the siaddr
  field only be non-zero if the next-server or tftp-server-name
  options are specified.
- Try removing the 1-5 second wait on dhclient startup altogether.
- fix bug 163367: supply default configuration file for dhcpd
 
* Thu Jul 14 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.3rc1-1
- Upgrade to upstream version 3.0.3rc1
- fix bug 163203: silence ISC blurb on configtest 
- fix default 'boot file server' value (packet->siaddr):
  In dhcp-3.0.2(-), this was defaulted to the server address;
  now it defaults to 0.0.0.0 (a rather silly default!) and 
  must be specified with the 'next-server' option ( not the tftp-boot-server option ?!?)
  which causes PXE boot clients to fail to load anything after the boot file.

* Fri Jul 08 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-14.FC5
- Allow package to compile with glibc-headers-2.3.5-11 (tr.c's use of __u16)

* Fri May 10 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-14
- Fix bug 159929: prevent dhclient flooding network on repeated DHCPDECLINE
- dhclient fast startup: 
   remove dhclient's  random 1-5 second delay on startup if only
   configuring one interface 
   remove dhclient_script's "sleep 1" on PREINIT
- fix new gcc-4.0.0-11 compiler warnings for binding_state_t

* Tue May 03 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-12
- Rebuild for new glibc
- Fix dhcdbd set for multiple interfaces

* Wed Apr 27 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-11
- as pointed out by Peter Jones, dhclient-script spews
- 'chkconfig: Usage' if run in init state 1 (runlevel returns "unknown".)
- this is now corrected.

* Mon Apr 25 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-10
- dhclient-script dhcdbd extensions. 
- Tested to have no effect unless dhcdbd invokes dhclient.
 
* Thu Apr 21 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-9
- bugs 153244 & 155143 are now fixed with SELinux policy; 
  autotrans now works for dhcpc_t, so restorecons are not required,
  and dhclient runs OK under dhcpc_t with SELinux enforcing.
- fix bug 155506: 'predhclien' typo (emacs!).
 
* Mon Apr 18 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-8
- Fix bugs 153244 & 155143: 
      o restore dhclient-script 'restorecon's
      o give dhclient and dhclient-script an exec context of 
        'system_u:object_r:sbin_t' that allows them to run
        domainname / hostname and to update configuration files
        in dhclient post script.       
- Prevent dhclient emitting verbose ISC 'blurb' on error exit in -q mode

* Mon Apr 04 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-7
- Add '-x' "extended option environment" dhclient argument:
-  When -x option given to dhclient:
-    dhclient enables arbitrary option processing by writing information
-    about user or vendor defined option space options to environment.
-
- fix bug 153244: dhclient should not use restorecon
- fix bug 151023: dhclient no 'headers & libraries' 
- fix bug 149780: add 'DHCLIENT_IGNORE_GATEWAY' variable
- remove all usage of /sbin/route from dhclient-script

* Thu Mar 24 2005 Florian La Roche <laroche@redhat.com>
- add "exit 0" to post script

* Mon Mar 07 2005 Jason Vas Dias <jvdias@redhat.com> 10.3.0.2-3
- rebuild for gcc4/glibc-2.3.4-14; fix bad memset

* Thu Feb 24 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-2
- Fix bug 143640: do not allow more than one dhclient to configure an interface

* Mon Feb 21 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.2-1
- Upgrade to ISC 3.0.2 Final Release (documentation change only).

* Tue Feb 14 2005 Jason Vas Dias <jvdias@redhat.com> 8:3.0.2rc3-8
- Add better execshield security link options
- fix dhcpd.init when no /etc/dhcpd.conf exists and -cf in DHCPDARGS

* Mon Feb 14 2005 Jason Vas Dias <jvdias@redhat.com> 8:3.0.2rc3-4
- make dhclient-script TIMEOUT mode do exactly the same configuration
- as BOUND / RENEW / REBIND / REBOOT if router ping succeeds

* Mon Feb 14 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.2rc3-4
- fix bug 147926: dhclient-script should do restorecon for modified conf files
- optimize execshield protection

* Thu Feb 10 2005 Jason Vas Dias <jvdias@redhat.com> 8.3.0.4rc3-3
- fix bug 147375: dhcpd heap corruption on 32-bit 'subnet' masks
- fix bug 147502: dhclient should honor GATEWAYDEV and GATEWAY settings            
- fix bug 146600: dhclient's timeout mode ping should use -I
- fix bug 146524: dhcpd.init should discard dhcpd's initial output message
- fix bug 147739: dhcpd.init configtest should honor -cf in DHCPDARGS

* Mon Jan 24 2005 Jason Vas Dias <jvdias@redhat.com> 8:3.0.2rc3-2
- fix bug 145997: allow hex 32-bit integers in user specified options

* Thu Jan 06 2005 Jason Vas Dias <jvdias@redhat.com> 8:3.0.2rc3-1
- still need an epoch to get past nvre test 

* Thu Jan 06 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.2rc3-1
- fix bug 144417: much improved dhclient-script 

* Thu Jan 06 2005 Jason Vas Dias <jvdias@redhat.com> 3.0.2rc3-1
- Upgrade to latest release from ISC, which includes most of our
- recent patches anyway.

* Thu Jan 06 2005 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-17
- fix bug 144250: gcc-3.4.3-11 is broken :
- log_error ("Lease with bogus binding state: %d size: %d",
-			   comp -> binding_state,
-			   sizeof(comp->binding_state));
- prints:    'Lease with bogus binding state: 257 1'    !
- compiling with gcc33 (compat-gcc-8-3.3.4.2 fixes for now).

* Mon Jan 03 2005 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-16
- fix bug 143704: dhclient -r does not work if lease held by
- dhclient run from ifup . dhclient will now look for the pid
- files created by ifup .

* Wed Nov 17 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-14
- NTP: fix bug 139715: merge in new ntp servers only rather than replace
- all the ntp configuration files; restart ntpd if configuration changed.

* Tue Nov 16 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-12
- fix bug 138181 & bug 139468: do not attempt to listen/send on
-     unconfigured  loopback, point-to-point or non-broadcast 
-     interfaces (don't generate annoying log messages)
- fix bug 138869: dhclient-script: check if '$new_routers' is
-     empty before doing 'set $new_routers;...;ping ... $1'

* Wed Oct 06 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-11
- dhcp-3.0.2b1 came out today. A diff of the 'ack_lease' function
- Dave Hankins and I patched exposed a missing '!' on an if clause
- that got dropped with the 'new-host' patch. Replacing the '!' .
- Also found one missing host_dereference.

* Wed Oct 06 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-10
- clean-up last patch: new-host.patch adds host_reference(host)
- without host_dereference(host) before returns in ack_lease
- (dhcp-3.0.1-host_dereference.patch)
 
* Mon Sep 27 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-9
- Fix bug 133522:
- PXE Boot clients with static leases not given 'file' option
- 104 by server - PXE booting was disabled for 'fixed-address'
- clients. 

* Fri Sep 10 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-8
- Fix bug 131212: 
- If "deny booting" is defined for some group of hosts,
- then after one of those hosts is denied booting, all
- hosts are denied booting, because of a pointer not being
- cleared in the lease record. 
- An upstream patch was obtained which will be in dhcp-3.0.2 .

* Mon Aug 16 2004 Jason Vas Dias <jvdias@redhat.com> 7:3.0.1-7
- Forward DNS update by client was disabled by a bug that I
- found in code where 'client->sent_options' was being 
- freed too early.
- Re-enabled it after contacting upstream maintainer
- who confirmed that this was a bug (bug #130069) -
- submitted patch dhcp-3.0.1.preserve-sent-options.patch.
- Upstream maintainer informs me this patch will be in dhcp-3.0.2 .

* Tue Aug 3  2004 Jason Vas Dias <jvdias@redhat.com> 6:3.0.1-6
- Allow 2.0 kernels to obtain default gateway via dhcp 

* Mon Aug 2  2004 Jason Vas Dias <jvdias@redhat.com> 5:3.0.1-5
- Invoke 'change_resolv_conf' function to change resolv.conf

* Fri Jul 16 2004 Jason Vas Dias <jvdias@redhat.com> 3:3.0.1
- Upgraded to new ISC 3.0.1 version

* Thu Jun 24 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-5
- Allow dhclient-script to continue without a config file.  
- It will use default values.

* Wed Jun 23 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-4
- fix inherit-leases patch

* Tue Jun 22 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-2
- Turn on inherit-leases patch

* Tue Jun 22 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc14-1
- User kernelversion instead of uname-r
- Update to latest package from ISC
- Remove inherit-leases patch for now.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc13-1
- Update to latest package from ISC

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-9
- add route back in after route up call

* Wed Jun 9 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-8
- add alex's dhcp-3.0.1rc12-inherit-leases.patch patch

* Tue Jun  8 2004 Bill Nottingham <notting@redhat.com> 1:3.0.1rc12-7
- set device on default gateway route

* Mon May 17 2004 Thomas Woerner <twoerner@redhat.com> 1:3.0.1rc12-6
- compiling dhcpd PIE

* Thu Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-5
- Add static routes patch to dhclient-script

* Wed Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-4
- Fix init to check config during restart 

* Wed Mar 24 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0.1rc12-3
- Fix init script to create leases file if missing

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 21 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.20
- Fix initialization of memory to prevent compiler error

* Mon Jan 5 2004 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.19
- Close leaseFile before exec, to fix selinux error message

* Mon Dec 29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.18
- Add BuildRequires groff
- Replace resolv.conf if renew and data changes

* Sun Nov 30 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.17
- Add obsoletes dhcpcd

* Wed Oct 8 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.16
- Fix location of ntp driftfile

* Fri Sep 5 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.15
- Bump Release

* Fri Sep 5 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.14
- Add div0 patch

* Wed Aug 20 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.13
- Add SEARCH to client script

* Wed Aug 20 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.12
- Bump Release

* Wed Aug 20 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.11
- Add configtest

* Fri Aug 1 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.10
- increment for base 

* Fri Aug 1 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.9
- Don't update resolv.conf on renewals

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.8
- increment for base 

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.7
- Fix name of driftfile

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.6
- increment for base 

* Tue Jul  29 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.5
- Change dhcrelay script to check DHCPSERVERS

* Mon Jul  7 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.4
- increment for base 

* Mon Jul  7 2003 Dan Walsh <dwalsh@redhat.com> 1:3.0pl2-6.3
- Fix dhclient-script to support PEERNTP and PEERNIS flags.
- patch submitted by aoliva@redhat.com

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:3.0pl2-6.1
- add epoch to dhcp-devel versioned requires on dhcp
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-5
- Fix memory leak in parser.

* Mon May 19 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-4
- Change Rev for RHEL

* Mon May 19 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-3
- Change example to not give out 255 address.

* Tue Apr 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-2
- Change Rev for RHEL

* Mon Apr 28 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl2-1
- upgrade to 3.0pl2

* Wed Mar 26 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-26
- add usage for dhcprelay -c
- add man page for dhcprelay -c

* Fri Mar 7 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-25
- Fix man dhcpd.conf man page

* Tue Mar 4 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-24
- Fix man dhcpctl.3 page

* Mon Feb 3 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-23
- fix script to handle ntp.conf correctly

* Thu Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-22
- Increment release to add to 8.1

* Wed Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-21
- Implement max hops patch

* Wed Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-20
- It has now been decided to just have options within dhclient kit

* Sun Jan 26 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add defattr() to have files not owned by root

* Fri Jan 24 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-17
- require kernel version

* Fri Jan 24 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-16
- move dhcp-options to separate package 

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 9 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-15
- eliminate dhcp-options from dhclient in order to get errata out

* Wed Jan 8 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-14
- VU#284857 - ISC DHCPD minires library contains multiple buffer overflows

* Mon Jan 6 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-13
- Fix when ntp is not installed.

* Mon Jan 6 2003 Dan Walsh <dwalsh@redhat.com> 3.0pl1-12
- Fix #73079 (dhcpctl man page) 

* Thu Nov 14 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-11
- Use generic PTRSIZE_64BIT detection instead of ifarch.

* Thu Nov 14 2002 Preston Brown <pbrown@redhat.com> 3.0pl1-10
- fix parsing of command line args in dhclient.  It was missing a few.

* Mon Oct 07 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- work on 64bit archs

* Wed Aug 28 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-9
- Fix #72795

* Mon Aug 26 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-8
- More #68650 (modify requested options)
- Fix #71453 (dhcpctl man page) and #71474 (include libdst.a) and
  #72622 (hostname setting)

* Thu Aug 15 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-7
- More #68650 (modify existing patch to also set NIS domain)

* Tue Aug 13 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-6
- Patch102 (dhcp-3.0pl1-dhcpctlman-69731.patch) to fix #69731

* Tue Aug 13 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-5
- Patch101 (dhcp-3.0pl1-dhhostname-68650.patch) to fix #68650

* Fri Jul 12 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-4
- Fix unaligned accesses when decoding a UDP packet

* Thu Jul 11 2002 Elliot Lee <sopwith@redhat.com> 3.0pl1-3
- No apparent reason for the dhclient -> dhcp dep mentioned in #68001,
  so removed it

* Wed Jun 27 2002 David Sainty <saint@redhat.com> 3.0pl1-2
- Move dhclient.conf.sample from dhcp to dhclient

* Mon Jun 25 2002 David Sainty <saint@redhat.com> 3.0pl1-1
- Change to dhclient, dhcp, dhcp-devel packaging
- Move to 3.0pl1, do not strip binaries
- Drop in sysconfig-enabled dhclient-script

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jan 26 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- prereq chkconfig

* Tue Jan 22 2002 Elliot Lee <sopwith@redhat.com> 3.0-5
- Split headers/libs into a devel subpackage (#58656)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 28 2001 Elliot Lee <sopwith@redhat.com> 3.0-3
- Fix the #52856 nit.
- Include dhcrelay scripts from #49186

* Thu Dec 20 2001 Elliot Lee <sopwith@redhat.com> 3.0-2
- Update to 3.0, include devel files installed by it (as part of the main package).

* Sun Aug 26 2001 Elliot Lee <sopwith@redhat.com> 2.0pl5-8
- Fix #26446

* Mon Aug 20 2001 Elliot Lee <sopwith@redhat.com>
- Fix #5405 for real - it is dhcpd.leases not dhcp.leases.

* Mon Jul 16 2001 Elliot Lee <sopwith@redhat.com>
- /etc/sysconfig/dhcpd
- Include dhcp.leases file (#5405)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 14 2001 Tim Waugh <twaugh@redhat.com>
- Fix initscript typo (bug #27624).

* Wed Feb  7 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Improve spec file i18n

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- i18nize init script (#26084)

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.0pl5
- redo buildroot patch

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- check for existence of /var/lib/dhcpd.leases in initscript before starting

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- /etc/rc.d/init.d -> /etc/init.d
- fix /var/state/dhcp -> /var/lib/dhcp

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- condrestart for initscript, graceful upgrades.

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
